> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the materialised end user entities for an end user



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_users/{end_user_heron_id}/entities
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_heron_id}/entities:
    get:
      tags:
        - EndUserEntity
      summary: Get the materialised end user entities for an end user
      parameters:
        - in: path
          name: end_user_heron_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/MaterialisedEndUserEntitySchema'
                type: array
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    MaterialisedEndUserEntitySchema:
      properties:
        display_order:
          type: integer
        entity_heron_id:
          type: string
        entity_name:
          type: string
        is_list:
          type: boolean
        materialised_attributes:
          items:
            $ref: '#/components/schemas/MaterialisedEndUserEntityAttribute'
          type: array
      type: object
    MaterialisedEndUserEntityAttribute:
      properties:
        attribute_heron_id:
          type: string
        attribute_name:
          type: string
        attribute_type:
          enum:
            - float
            - int
            - decimal
            - string
            - date
            - datetime
            - bool
        display_order:
          type: integer
        materialised_sources:
          items:
            $ref: '#/components/schemas/MaterialisedEndUserEntityAttributeSource'
          type: array
        selected_source:
          allOf:
            - $ref: '#/components/schemas/MaterialisedEndUserEntityAttributeSource'
          nullable: true
      type: object
    MaterialisedEndUserEntityAttributeSource:
      properties:
        source:
          $ref: '#/components/schemas/EndUserEntityAttributeSourceSchema'
        source_data:
          additionalProperties: {}
          type: object
        timestamp:
          format: date-time
          type: string
        value: {}
      type: object
    EndUserEntityAttributeSourceSchema:
      properties:
        heron_id:
          nullable: true
          type: string
        sort_order:
          type: integer
        source_config:
          additionalProperties: {}
          type: object
        source_type:
          enum:
            - parsed_end_user_file
            - api
            - rel_6
            - end_user_enricher
            - company_attribute
            - static_value
            - end_user_query
            - broker_submission_api
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````